summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorhwspeedy <ns@bigbear.dk>2024-02-08 22:25:51 +0100
committerhwspeedy <ns@bigbear.dk>2024-02-08 22:25:51 +0100
commitf8bf0c62947288e7cef0d5ec40579e331a1088ff (patch)
tree77112cffe1faaca6aad6f2ebc3d8bd7e5116bffb
parent74793d4b54778858c02739f9ecf4b755ada4079e (diff)
ADD readd clean tool - tools/rm_hardinfo.sh
-rwxr-xr-xtools/rm_hardinfo.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/tools/rm_hardinfo.sh b/tools/rm_hardinfo.sh
new file mode 100755
index 00000000..81b5c614
--- /dev/null
+++ b/tools/rm_hardinfo.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# when you want to remove the hardinfo* mess from a make install
+
+if [[ $EUID -ne 0 ]]; then
+ echo "This script must be run as root."
+ exit 1
+fi
+
+remove_hardinfo() {
+ BASEDER="$1"
+ echo "Removing hardinfo* from $BASEDER ..."
+ rm -rf "$BASEDER/share/hardinfo*"
+ rm -rf "$BASEDER/lib/hardinfo*"
+ rm -f "$BASEDER"/share/locale/*/LC_MESSAGES/hardinfo*.mo
+ rm -f "$BASEDER/bin/hardinfo*"
+ rm -f "$BASEDER/share/applications/hardinfo*.desktop"
+ rm -f "$BASEDER/share/doc/hardinfo*"
+ rm -f "$BASEDER/share/man/man1/hardinfo*.1.gz"
+ rm -f "$BASEDER/share/pixmaps/hardinfo*.xpm"
+ rm -f "$BASEDER/share/menu/hardinfo*"
+ #locate -e hardinfo | grep "$BASEDER"
+}
+
+# add some other base install path here
+remove_hardinfo "/usr/local"
+
+echo "Removing hardinfo* settings..."
+rm -rf ~/.config/hardinfo*